Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1564835 (gmediarender) - Review Request: gmediarender - Resource efficient UPnP/DLNA renderer
Summary: Review Request: gmediarender - Resource efficient UPnP/DLNA renderer
Keywords:
Status: CLOSED ERRATA
Alias: gmediarender
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-08 06:15 UTC by Zamir SUN
Modified: 2018-05-05 20:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-05 20:27:54 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Comment 1 Zamir SUN 2018-04-08 06:16:43 UTC
RPMlint error:

gmediarender.src:53: E: hardcoded-library-path in %{_prefix}/lib/firewalld/services

This already follows the guideline so I think this doesn't matter.
https://fedoraproject.org/wiki/PackagingDrafts/ScriptletSnippets/Firewalld

Comment 2 Robert-André Mauchin 🐧 2018-04-08 18:04:02 UTC
If you need help to convert to Forge based automation, just ask. My recommendation was something like this:


 - This package could probably benefit from the new Forge automation:
https://fedoraproject.org/wiki/Forge-hosted_projects_packaging_automation

   Use:

%global forgeurl    https://github.com/hzeller/gmrender-resurrect
%global commit      4f221e6b85abf85957b547436e982d7a501a1718

%forgemeta 

Name:    gmediarender
Version: 0
Release: 0.8%{?dist}
Summary: Resource efficient UPnP/DLNA renderer
License: GPLv2+
URL:     %{forgeurl}
Source:  %{forgesource}


(dist will be computed automatically)

   And in %prep:

%prep
%forgeautosetup
autoreconf -vfi


   The %changelog needs adjustement:

* Sat Apr 07 2018 Zamir SUN <sztsian@gmail.com> - 0-0.8.20180407git4f221e6
- Fix versioning
- Update to upstream head 4f221e6

Please note the snapshot date must be the date the archive is downloaded (or
uploaded to fedora/rpmfusion servers) and not the date of the commit, contrary
to what it was before believed.

Comment 3 Zamir SUN 2018-04-09 02:14:31 UTC
Hi

(In reply to Robert-André Mauchin from comment #2)
> If you need help to convert to Forge based automation, just ask. My
> recommendation was something like this:
> 
> 
>  - This package could probably benefit from the new Forge automation:
> https://fedoraproject.org/wiki/Forge-hosted_projects_packaging_automation
> 
>    Use:
> 
> %global forgeurl    https://github.com/hzeller/gmrender-resurrect
> %global commit      4f221e6b85abf85957b547436e982d7a501a1718
> 
> %forgemeta 
> 
> Name:    gmediarender
> Version: 0
> Release: 0.8%{?dist}
> Summary: Resource efficient UPnP/DLNA renderer
> License: GPLv2+
> URL:     %{forgeurl}
> Source:  %{forgesource}
> 
> 
> (dist will be computed automatically)
> 
>    And in %prep:
> 
> %prep
> %forgeautosetup
> autoreconf -vfi
> 
> 

Thanks.
I already saw this in the RPMFusion request. I tried the above. However I am still using Fedora 27 in my laptop, and with the forgeurl way, I cannot build even the srpm package using `rpm -bs`. I believe it is because the corresponding macros haven't land in Fedora 27 yet. So that's why I changed back and keep the forge based info in comments.

>    The %changelog needs adjustement:
> 
> * Sat Apr 07 2018 Zamir SUN <sztsian@gmail.com> - 0-0.8.20180407git4f221e6
> - Fix versioning
> - Update to upstream head 4f221e6
> 
> Please note the snapshot date must be the date the archive is downloaded (or
> uploaded to fedora/rpmfusion servers) and not the date of the commit,
> contrary
> to what it was before believed.

Actually this was fixed. The commit 4f221e6 was pushed 20180402, and 20180407 is already the date I download the archive.
I can adjust this date by the time it's available for `fedpkg new-sources`.

Comment 4 Robert-André Mauchin 🐧 2018-04-09 16:22:56 UTC
> I tried the above. However I am still using Fedora 27 in my laptop, and with the forgeurl way, I cannot build even the srpm package using `rpm -bs`. I believe it is because the corresponding macros haven't land in Fedora 27 yet.

That's curious, the forge macros are definitively in Fedora 27 stable (https://bodhi.fedoraproject.org/updates/FEDORA-2018-aa82097aea), what version of redhat-rpm-config do you have?  It should be 77-1.

What is the error message when you try to build the SRPM?

Comment 5 Zamir SUN 2018-04-10 14:26:40 UTC
I just did some more research and fixed the issue on my machine. Now it works.

SPEC URL: https://zsun.fedorapeople.org/pub/pkgs/gmediarender.spec
SRPM URL: https://zsun.fedorapeople.org/pub/pkgs/gmediarender-0-0.8.20180410git4f221e6.fc29.src.rpm

Comment 6 Robert-André Mauchin 🐧 2018-04-10 15:20:55 UTC
Package approved.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "Unknown or generated". 40 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/gmediarender/review-
     gmediarender/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gmediarender-0-0.8.20180407git4f221e6.fc29.x86_64.rpm
          gmediarender-debuginfo-0-0.8.20180407git4f221e6.fc29.x86_64.rpm
          gmediarender-debugsource-0-0.8.20180407git4f221e6.fc29.x86_64.rpm
          gmediarender-0-0.8.20180407git4f221e6.fc29.src.rpm
gmediarender.x86_64: W: spelling-error Summary(en_US) renderer -> tenderer, rendered, render er
gmediarender.x86_64: W: spelling-error %description -l en_US renderer -> tenderer, rendered, render er
gmediarender.x86_64: W: incoherent-version-in-changelog 0-0.8.20180410git4f221e6 ['0-0.8.20180407git4f221e6.fc29', '0-0.8.20180407git4f221e6']
gmediarender.x86_64: W: no-manual-page-for-binary gmediarender
gmediarender.x86_64: W: percent-in-%post
gmediarender.x86_64: W: dangerous-command-in-%postun userdel
gmediarender-debugsource.x86_64: W: no-documentation
gmediarender.src: W: spelling-error Summary(en_US) renderer -> tenderer, rendered, render er
gmediarender.src: W: spelling-error %description -l en_US renderer -> tenderer, rendered, render er
gmediarender.src:41: W: macro-in-comment %repo
gmediarender.src:41: W: macro-in-comment %{commit}
gmediarender.src:60: E: hardcoded-library-path in %{_prefix}/lib/firewalld/services
gmediarender.src:61: E: hardcoded-library-path in %{_prefix}/lib/firewalld/services
gmediarender.src:90: E: hardcoded-library-path in %{_prefix}/lib/firewalld/services/%{name}.xml
gmediarender.src:91: E: hardcoded-library-path in %{_prefix}/lib/firewalld/services/ssdp.xml
4 packages and 0 specfiles checked; 4 errors, 11 warnings.

Comment 7 Gwyn Ciesla 2018-04-11 12:18:59 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/gmediarender

Comment 8 Fedora Update System 2018-04-18 14:53:22 UTC
gmediarender-0-0.8.20180414git4f221e6.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6fde958f35

Comment 9 Fedora Update System 2018-04-19 08:54:01 UTC
gmediarender-0-0.8.20180414git4f221e6.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6fde958f35

Comment 10 Fedora Update System 2018-05-05 20:27:54 UTC
gmediarender-0-0.8.20180414git4f221e6.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.